> ## Documentation Index
> Fetch the complete documentation index at: https://docs-v2.sortx.co.uk/llms.txt
> Use this file to discover all available pages before exploring further.

# Turnover

> The turnover planner: every tenancy whose move-out falls in the window, with its check-out, repairs, cleaning, certificates, keys and ready-to-let day, read from the records



## OpenAPI

````yaml /openapi.json get /handovers/turnover
openapi: 3.1.0
info:
  title: SortX API
  version: 1.0.0
  description: >-
    Reactive repairs, planned maintenance, compliance and the repairs desk for
    UK letting agents and property managers.
servers:
  - url: https://api.sortx.co.uk
    description: Production
security: []
tags:
  - name: tenants
  - name: entitlements
  - name: events
  - name: workspace-settings
  - name: operational-catalogues
  - name: money
  - name: contacts
  - name: properties
  - name: address-lookup
  - name: tenancies
  - name: contractor-invoices
  - name: keys
  - name: inspections
  - name: handovers
  - name: planned-maintenance
  - name: contractors
  - name: documents
  - name: compliance
  - name: activity
  - name: tasks
  - name: today
  - name: reports
  - name: workspace-search
  - name: calendar
  - name: telephony
  - name: maintenance-pro
  - name: front-desk
  - name: maintenance-pro-public
  - name: maintenance-pro-contractor
paths:
  /handovers/turnover:
    get:
      tags:
        - handovers
      summary: Turnover
      description: >-
        The turnover planner: every tenancy whose move-out falls in the window,
        with its check-out, repairs, cleaning, certificates, keys and
        ready-to-let day, read from the records
      operationId: handovers.turnover
      parameters:
        - name: from
          in: query
          schema:
            anyOf:
              - type: string
              - type: 'null'
          required: false
        - name: to
          in: query
          schema:
            anyOf:
              - type: string
              - type: 'null'
          required: false
        - name: leadDays
          in: query
          schema:
            anyOf:
              - type: string
              - type: 'null'
          required: false
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TurnoverBoardRow'
        '400':
          description: >-
            TenantCreateRejected | ConfigMissing | IntegrationRejected |
            AuthRejected | RegistrationRejected | UnknownIntegration |
            WebhookUnroutable | RateUnavailable
          content:
            application/json:
              schema:
                anyOf:
                  - $ref: '#/components/schemas/TenantCreateRejectedEncoded'
                  - $ref: '#/components/schemas/ConfigMissingEncoded'
                  - $ref: '#/components/schemas/IntegrationRejectedEncoded'
                  - $ref: '#/components/schemas/AuthRejectedEncoded'
                  - $ref: '#/components/schemas/RegistrationRejectedEncoded'
                  - $ref: '#/components/schemas/UnknownIntegrationEncoded'
                  - $ref: '#/components/schemas/WebhookUnroutableEncoded'
                  - $ref: '#/components/schemas/RateUnavailableEncoded'
                  - $ref: '#/components/schemas/HandoverInputInvalid'
        '401':
          description: Unauthenticated | WebhookRejected | ApiKeyRejected
          content:
            application/json:
              schema:
                anyOf:
                  - $ref: '#/components/schemas/UnauthenticatedEncoded'
                  - $ref: '#/components/schemas/WebhookRejectedEncoded'
                  - $ref: '#/components/schemas/ApiKeyRejectedEncoded'
        '402':
          description: TenantSuspended
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TenantSuspendedEncoded'
        '403':
          description: >-
            EntitlementMissing | NotAMember | ScopeUnknown | ScopeMissing |
            TenantMismatch | WorkspaceOwnerRequired | WorkspaceRoleRequired
          content:
            application/json:
              schema:
                anyOf:
                  - $ref: '#/components/schemas/EntitlementMissingEncoded'
                  - $ref: '#/components/schemas/NotAMemberEncoded'
                  - $ref: '#/components/schemas/ScopeUnknownEncoded'
                  - $ref: '#/components/schemas/ScopeMissingEncoded'
                  - $ref: '#/components/schemas/TenantMismatchEncoded'
                  - $ref: '#/components/schemas/WorkspaceOwnerRequiredEncoded'
                  - $ref: '#/components/schemas/WorkspaceRoleRequiredEncoded'
        '404':
          description: TenantNotFound | ModuleRequestNotFound
          content:
            application/json:
              schema:
                anyOf:
                  - $ref: '#/components/schemas/TenantNotFoundEncoded'
                  - $ref: '#/components/schemas/ModuleRequestNotFoundEncoded'
        '409':
          description: WebhookDuplicate | RegistrationConflict | MoneyBusy
          content:
            application/json:
              schema:
                anyOf:
                  - $ref: '#/components/schemas/WebhookDuplicateEncoded'
                  - $ref: '#/components/schemas/RegistrationConflictEncoded'
                  - $ref: '#/components/schemas/MoneyBusyEncoded'
        '429':
          description: RateLimited
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RateLimitedEncoded'
        '503':
          description: IntegrationUnavailable
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/IntegrationUnavailableEncoded'
      security:
        - apiKey: []
components:
  schemas:
    TurnoverBoardRow:
      type: object
      properties:
        today:
          type: string
        from:
          type: string
        to:
          type: string
        leadDays:
          anyOf:
            - type: number
            - type: string
              enum:
                - Infinity
                - '-Infinity'
                - NaN
        rows:
          type: array
          items:
            type: object
            properties:
              tenancyId:
                type: string
              tenancyStatus:
                type: string
                enum:
                  - active
                  - notice_given
                  - ended
              unitId:
                type: string
              propertyId:
                anyOf:
                  - type: string
                  - type: 'null'
              propertyLabel:
                anyOf:
                  - type: string
                  - type: 'null'
              unitLabel:
                anyOf:
                  - type: string
                  - type: 'null'
              moveOutOn:
                type: string
              checkOutId:
                anyOf:
                  - type: string
                  - type: 'null'
              checkOutReference:
                anyOf:
                  - type: string
                  - type: 'null'
              followUps:
                anyOf:
                  - type: array
                    items:
                      type: object
                      properties:
                        findingId:
                          type: string
                        area:
                          type: string
                        repair:
                          anyOf:
                            - type: object
                              properties:
                                id:
                                  type: string
                                reference:
                                  anyOf:
                                    - type: string
                                    - type: 'null'
                                status:
                                  anyOf:
                                    - type: string
                                    - type: 'null'
                              required:
                                - id
                                - reference
                                - status
                              additionalProperties: false
                            - type: 'null'
                        task:
                          anyOf:
                            - type: object
                              properties:
                                id:
                                  type: string
                                title:
                                  type: string
                                status:
                                  type: string
                              required:
                                - id
                                - title
                                - status
                              additionalProperties: false
                            - type: 'null'
                      required:
                        - findingId
                        - area
                        - repair
                        - task
                      additionalProperties: false
                  - type: 'null'
              cleaningTaskId:
                anyOf:
                  - type: string
                  - type: 'null'
              nextCheckInId:
                anyOf:
                  - type: string
                  - type: 'null'
              plan:
                type: object
                properties:
                  moveOut:
                    type: object
                    properties:
                      state:
                        type: string
                        enum:
                          - done
                          - booked
                          - open
                          - missing
                          - waiting
                          - not_needed
                          - unknown
                      'on':
                        anyOf:
                          - type: string
                          - type: 'null'
                      suggested:
                        type: boolean
                      count:
                        anyOf:
                          - anyOf:
                              - type: number
                              - type: string
                                enum:
                                  - Infinity
                                  - '-Infinity'
                                  - NaN
                          - type: 'null'
                    required:
                      - state
                      - 'on'
                      - suggested
                      - count
                    additionalProperties: false
                  checkOut:
                    type: object
                    properties:
                      state:
                        type: string
                        enum:
                          - done
                          - booked
                          - open
                          - missing
                          - waiting
                          - not_needed
                          - unknown
                      'on':
                        anyOf:
                          - type: string
                          - type: 'null'
                      suggested:
                        type: boolean
                      count:
                        anyOf:
                          - anyOf:
                              - type: number
                              - type: string
                                enum:
                                  - Infinity
                                  - '-Infinity'
                                  - NaN
                          - type: 'null'
                    required:
                      - state
                      - 'on'
                      - suggested
                      - count
                    additionalProperties: false
                  repairs:
                    type: object
                    properties:
                      state:
                        type: string
                        enum:
                          - done
                          - booked
                          - open
                          - missing
                          - waiting
                          - not_needed
                          - unknown
                      'on':
                        anyOf:
                          - type: string
                          - type: 'null'
                      suggested:
                        type: boolean
                      count:
                        anyOf:
                          - anyOf:
                              - type: number
                              - type: string
                                enum:
                                  - Infinity
                                  - '-Infinity'
                                  - NaN
                          - type: 'null'
                    required:
                      - state
                      - 'on'
                      - suggested
                      - count
                    additionalProperties: false
                  cleaning:
                    type: object
                    properties:
                      state:
                        type: string
                        enum:
                          - done
                          - booked
                          - open
                          - missing
                          - waiting
                          - not_needed
                          - unknown
                      'on':
                        anyOf:
                          - type: string
                          - type: 'null'
                      suggested:
                        type: boolean
                      count:
                        anyOf:
                          - anyOf:
                              - type: number
                              - type: string
                                enum:
                                  - Infinity
                                  - '-Infinity'
                                  - NaN
                          - type: 'null'
                    required:
                      - state
                      - 'on'
                      - suggested
                      - count
                    additionalProperties: false
                  certificates:
                    type: object
                    properties:
                      state:
                        type: string
                        enum:
                          - done
                          - booked
                          - open
                          - missing
                          - waiting
                          - not_needed
                          - unknown
                      'on':
                        anyOf:
                          - type: string
                          - type: 'null'
                      suggested:
                        type: boolean
                      count:
                        anyOf:
                          - anyOf:
                              - type: number
                              - type: string
                                enum:
                                  - Infinity
                                  - '-Infinity'
                                  - NaN
                          - type: 'null'
                      due:
                        type: array
                        items:
                          type: object
                          properties:
                            kind:
                              type: string
                            label:
                              type: string
                            reason:
                              type: string
                              enum:
                                - missing
                                - expired
                                - facts_unknown
                                - details_needed
                                - remedials_required
                                - below_minimum
                                - check_due
                                - undated
                                - expires_before_relet
                            expiresOn:
                              anyOf:
                                - type: string
                                - type: 'null'
                          required:
                            - kind
                            - label
                            - reason
                            - expiresOn
                          additionalProperties: false
                    required:
                      - state
                      - 'on'
                      - suggested
                      - count
                      - due
                    additionalProperties: false
                  keys:
                    type: object
                    properties:
                      state:
                        type: string
                        enum:
                          - done
                          - booked
                          - open
                          - missing
                          - waiting
                          - not_needed
                          - unknown
                      'on':
                        anyOf:
                          - type: string
                          - type: 'null'
                      suggested:
                        type: boolean
                      count:
                        anyOf:
                          - anyOf:
                              - type: number
                              - type: string
                                enum:
                                  - Infinity
                                  - '-Infinity'
                                  - NaN
                          - type: 'null'
                    required:
                      - state
                      - 'on'
                      - suggested
                      - count
                    additionalProperties: false
                  readyToLet:
                    type: object
                    properties:
                      state:
                        type: string
                        enum:
                          - ready
                          - not_ready
                          - unknown
                      'on':
                        type: string
                      estimated:
                        type: boolean
                      blockers:
                        type: array
                        items:
                          type: string
                          enum:
                            - not_moved_out
                            - check_out_missing
                            - check_out_open
                            - repairs_open
                            - cleaning_missing
                            - cleaning_open
                            - certificates_due
                            - keys_out
                      unknown:
                        type: array
                        items:
                          type: string
                          enum:
                            - checkOut
                            - repairs
                            - cleaning
                            - certificates
                            - keys
                    required:
                      - state
                      - 'on'
                      - estimated
                      - blockers
                      - unknown
                    additionalProperties: false
                  nextLet:
                    anyOf:
                      - type: object
                        properties:
                          tenancyId:
                            type: string
                          startsOn:
                            anyOf:
                              - type: string
                              - type: 'null'
                          checkIn:
                            type: object
                            properties:
                              state:
                                type: string
                                enum:
                                  - done
                                  - booked
                                  - open
                                  - missing
                                  - waiting
                                  - not_needed
                                  - unknown
                              'on':
                                anyOf:
                                  - type: string
                                  - type: 'null'
                              suggested:
                                type: boolean
                              count:
                                anyOf:
                                  - anyOf:
                                      - type: number
                                      - type: string
                                        enum:
                                          - Infinity
                                          - '-Infinity'
                                          - NaN
                                  - type: 'null'
                            required:
                              - state
                              - 'on'
                              - suggested
                              - count
                            additionalProperties: false
                          clash:
                            type: boolean
                        required:
                          - tenancyId
                          - startsOn
                          - checkIn
                          - clash
                        additionalProperties: false
                      - type: 'null'
                  canAdd:
                    type: object
                    properties:
                      cleaning:
                        type: boolean
                      checkOut:
                        type: boolean
                    required:
                      - cleaning
                      - checkOut
                    additionalProperties: false
                required:
                  - moveOut
                  - checkOut
                  - repairs
                  - cleaning
                  - certificates
                  - keys
                  - readyToLet
                  - nextLet
                  - canAdd
                additionalProperties: false
            required:
              - tenancyId
              - tenancyStatus
              - unitId
              - propertyId
              - propertyLabel
              - unitLabel
              - moveOutOn
              - checkOutId
              - checkOutReference
              - followUps
              - cleaningTaskId
              - nextCheckInId
              - plan
            additionalProperties: false
        summary:
          type: object
          properties:
            tenancies:
              anyOf:
                - type: number
                - type: string
                  enum:
                    - Infinity
                    - '-Infinity'
                    - NaN
            ready:
              anyOf:
                - type: number
                - type: string
                  enum:
                    - Infinity
                    - '-Infinity'
                    - NaN
            notReady:
              anyOf:
                - type: number
                - type: string
                  enum:
                    - Infinity
                    - '-Infinity'
                    - NaN
            unknown:
              anyOf:
                - type: number
                - type: string
                  enum:
                    - Infinity
                    - '-Infinity'
                    - NaN
            clashes:
              anyOf:
                - type: number
                - type: string
                  enum:
                    - Infinity
                    - '-Infinity'
                    - NaN
            checkOutsMissing:
              anyOf:
                - type: number
                - type: string
                  enum:
                    - Infinity
                    - '-Infinity'
                    - NaN
            cleaningMissing:
              anyOf:
                - type: number
                - type: string
                  enum:
                    - Infinity
                    - '-Infinity'
                    - NaN
            certificatesDue:
              anyOf:
                - type: number
                - type: string
                  enum:
                    - Infinity
                    - '-Infinity'
                    - NaN
            keysOut:
              anyOf:
                - type: number
                - type: string
                  enum:
                    - Infinity
                    - '-Infinity'
                    - NaN
          required:
            - tenancies
            - ready
            - notReady
            - unknown
            - clashes
            - checkOutsMissing
            - cleaningMissing
            - certificatesDue
            - keysOut
          additionalProperties: false
        noEndDate:
          anyOf:
            - type: number
            - type: string
              enum:
                - Infinity
                - '-Infinity'
                - NaN
        beyondLimit:
          anyOf:
            - type: number
            - type: string
              enum:
                - Infinity
                - '-Infinity'
                - NaN
      required:
        - today
        - from
        - to
        - leadDays
        - rows
        - summary
        - noEndDate
        - beyondLimit
      additionalProperties: false
    TenantCreateRejectedEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - TenantCreateRejected
        reason:
          type: string
        field:
          anyOf:
            - type: string
            - type: 'null'
      required:
        - _tag
        - reason
      additionalProperties: false
    ConfigMissingEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - ConfigMissing
        key:
          type: string
      required:
        - _tag
        - key
      additionalProperties: false
    IntegrationRejectedEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - IntegrationRejected
        integration:
          type: string
        reason:
          type: string
      required:
        - _tag
        - integration
        - reason
      additionalProperties: false
    AuthRejectedEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - AuthRejected
        code:
          type: string
        message:
          type: string
      required:
        - _tag
        - code
        - message
      additionalProperties: false
    RegistrationRejectedEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - RegistrationRejected
        message:
          type: string
        field:
          anyOf:
            - type: string
            - type: 'null'
      required:
        - _tag
        - message
      additionalProperties: false
    UnknownIntegrationEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - UnknownIntegration
        integration:
          type: string
      required:
        - _tag
        - integration
      additionalProperties: false
    WebhookUnroutableEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - WebhookUnroutable
        integration:
          type: string
        reason:
          type: string
      required:
        - _tag
        - integration
        - reason
      additionalProperties: false
    RateUnavailableEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - RateUnavailable
        base:
          type: string
        quote:
          type: string
        'on':
          type: string
      required:
        - _tag
        - base
        - quote
        - 'on'
      additionalProperties: false
    HandoverInputInvalid:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - HandoverInputInvalid
        field:
          type: string
        message:
          type: string
      required:
        - _tag
        - field
        - message
      additionalProperties: false
    UnauthenticatedEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - Unauthenticated
      required:
        - _tag
      additionalProperties: false
    WebhookRejectedEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - WebhookRejected
        integration:
          type: string
        reason:
          type: string
      required:
        - _tag
        - integration
        - reason
      additionalProperties: false
    ApiKeyRejectedEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - ApiKeyRejected
      required:
        - _tag
      additionalProperties: false
    TenantSuspendedEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - TenantSuspended
        tenantId:
          type: string
        reason:
          type: string
      required:
        - _tag
        - tenantId
        - reason
      additionalProperties: false
    EntitlementMissingEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - EntitlementMissing
        tenantId:
          type: string
        moduleId:
          type: string
      required:
        - _tag
        - tenantId
        - moduleId
      additionalProperties: false
    NotAMemberEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - NotAMember
        userId:
          type: string
        slug:
          type: string
      required:
        - _tag
        - userId
        - slug
      additionalProperties: false
    ScopeUnknownEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - ScopeUnknown
        scope:
          type: string
      required:
        - _tag
        - scope
      additionalProperties: false
    ScopeMissingEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - ScopeMissing
        scope:
          type: string
      required:
        - _tag
        - scope
      additionalProperties: false
    TenantMismatchEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - TenantMismatch
        header:
          type: string
        organizationId:
          type: string
      required:
        - _tag
        - header
        - organizationId
      additionalProperties: false
    WorkspaceOwnerRequiredEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - WorkspaceOwnerRequired
      required:
        - _tag
      additionalProperties: false
    WorkspaceRoleRequiredEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - WorkspaceRoleRequired
        role:
          anyOf:
            - type: string
            - type: 'null'
        required:
          type: array
          items:
            type: string
        message:
          type: string
      required:
        - _tag
        - role
        - required
        - message
      additionalProperties: false
    TenantNotFoundEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - TenantNotFound
        slug:
          type: string
      required:
        - _tag
        - slug
      additionalProperties: false
    ModuleRequestNotFoundEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - ModuleRequestNotFound
        id:
          type: string
      required:
        - _tag
        - id
      additionalProperties: false
    WebhookDuplicateEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - WebhookDuplicate
        integration:
          type: string
        externalId:
          type: string
      required:
        - _tag
        - integration
        - externalId
      additionalProperties: false
    RegistrationConflictEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - RegistrationConflict
        message:
          type: string
        field:
          anyOf:
            - type: string
            - type: 'null'
      required:
        - _tag
        - message
      additionalProperties: false
    MoneyBusyEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - MoneyBusy
        message:
          type: string
      required:
        - _tag
        - message
      additionalProperties: false
    RateLimitedEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - RateLimited
        key:
          type: string
        retryAfterSeconds:
          anyOf:
            - type: number
            - type: string
              enum:
                - Infinity
                - '-Infinity'
                - NaN
        message:
          type: string
      required:
        - _tag
        - key
        - retryAfterSeconds
        - message
      additionalProperties: false
    IntegrationUnavailableEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - IntegrationUnavailable
        integration:
          type: string
        detail:
          anyOf:
            - type: string
            - type: 'null'
      required:
        - _tag
        - integration
      additionalProperties: false
  securitySchemes:
    apiKey:
      type: apiKey
      in: header
      name: x-api-key
      description: >-
        A workspace API key (Settings → API keys), scoped to `<group>:read` /
        `<group>:write`.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.